Cancel
curl --request POST \
--url https://api.sortx.co.uk/inspections/{id}/cancel \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"requestId": "<string>",
"expectedRevision": 123,
"reason": "<string>"
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({requestId: '<string>', expectedRevision: 123, reason: '<string>'})
};
fetch('https://api.sortx.co.uk/inspections/{id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/inspections/{id}/cancel"
payload = {
"requestId": "<string>",
"expectedRevision": 123,
"reason": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"reference": "<string>",
"type": "routine",
"status": "due",
"propertyId": "<string>",
"propertyLabel": "<string>",
"blockId": "<string>",
"blockLabel": "<string>",
"tenancyId": "<string>",
"dueOn": "<string>",
"overdue": true,
"notes": "<string>",
"summary": "<string>",
"outcome": "satisfactory",
"booking": {
"appointmentId": "<string>",
"status": "held",
"startsAt": "<string>",
"endsAt": "<string>",
"staffId": "<string>",
"staffName": "<string>",
"revision": 123
},
"findingCount": 123,
"followUpCount": 123,
"draftSavedAt": "<string>",
"completedAt": "<string>",
"completedByUserId": "<string>",
"cancelledAt": "<string>",
"cancelReason": "<string>",
"accessNotice": {
"givenAt": "<string>",
"method": "in_person",
"notes": "<string>",
"short": true
},
"acknowledgement": {
"receivedOn": "<string>",
"signed": true,
"commented": true,
"comments": "<string>",
"documentId": "<string>",
"recordedAt": "<string>",
"recordedByUserId": "<string>"
},
"revision": 123,
"createdByUserId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"findings": [
{
"id": "<string>",
"position": 123,
"area": "<string>",
"item": "<string>",
"condition": "good",
"notes": "<string>",
"photos": [
{
"documentId": "<string>",
"name": "<string>",
"contentType": "<string>",
"kind": "<string>",
"createdAt": "<string>",
"archivedAt": "<string>",
"purged": true
}
],
"repair": {
"id": "<string>",
"reference": "<string>"
},
"task": {
"id": "<string>",
"title": "<string>",
"status": "<string>",
"dueOn": "<string>"
}
}
],
"visits": [
{
"appointmentId": "<string>",
"status": "held",
"startsAt": "<string>",
"endsAt": "<string>",
"staffName": "<string>",
"outcome": "attended",
"cancelReason": "<string>"
}
],
"reports": [
{
"documentId": "<string>",
"name": "<string>",
"contentType": "<string>",
"kind": "<string>",
"createdAt": "<string>",
"archivedAt": "<string>",
"purged": true
}
],
"checkIn": {
"id": "<string>",
"reference": "<string>",
"completedAt": "<string>",
"findings": [
{
"id": "<string>",
"area": "<string>",
"item": "<string>",
"condition": "good",
"notes": "<string>"
}
]
}
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}inspections
Cancel
Cancel an inspection that will not happen, and its booked visit
POST
/
inspections
/
{id}
/
cancel
Cancel
curl --request POST \
--url https://api.sortx.co.uk/inspections/{id}/cancel \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"requestId": "<string>",
"expectedRevision": 123,
"reason": "<string>"
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({requestId: '<string>', expectedRevision: 123, reason: '<string>'})
};
fetch('https://api.sortx.co.uk/inspections/{id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/inspections/{id}/cancel"
payload = {
"requestId": "<string>",
"expectedRevision": 123,
"reason": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"reference": "<string>",
"type": "routine",
"status": "due",
"propertyId": "<string>",
"propertyLabel": "<string>",
"blockId": "<string>",
"blockLabel": "<string>",
"tenancyId": "<string>",
"dueOn": "<string>",
"overdue": true,
"notes": "<string>",
"summary": "<string>",
"outcome": "satisfactory",
"booking": {
"appointmentId": "<string>",
"status": "held",
"startsAt": "<string>",
"endsAt": "<string>",
"staffId": "<string>",
"staffName": "<string>",
"revision": 123
},
"findingCount": 123,
"followUpCount": 123,
"draftSavedAt": "<string>",
"completedAt": "<string>",
"completedByUserId": "<string>",
"cancelledAt": "<string>",
"cancelReason": "<string>",
"accessNotice": {
"givenAt": "<string>",
"method": "in_person",
"notes": "<string>",
"short": true
},
"acknowledgement": {
"receivedOn": "<string>",
"signed": true,
"commented": true,
"comments": "<string>",
"documentId": "<string>",
"recordedAt": "<string>",
"recordedByUserId": "<string>"
},
"revision": 123,
"createdByUserId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"findings": [
{
"id": "<string>",
"position": 123,
"area": "<string>",
"item": "<string>",
"condition": "good",
"notes": "<string>",
"photos": [
{
"documentId": "<string>",
"name": "<string>",
"contentType": "<string>",
"kind": "<string>",
"createdAt": "<string>",
"archivedAt": "<string>",
"purged": true
}
],
"repair": {
"id": "<string>",
"reference": "<string>"
},
"task": {
"id": "<string>",
"title": "<string>",
"status": "<string>",
"dueOn": "<string>"
}
}
],
"visits": [
{
"appointmentId": "<string>",
"status": "held",
"startsAt": "<string>",
"endsAt": "<string>",
"staffName": "<string>",
"outcome": "attended",
"cancelReason": "<string>"
}
],
"reports": [
{
"documentId": "<string>",
"name": "<string>",
"contentType": "<string>",
"kind": "<string>",
"createdAt": "<string>",
"archivedAt": "<string>",
"purged": true
}
],
"checkIn": {
"id": "<string>",
"reference": "<string>",
"completedAt": "<string>",
"findings": [
{
"id": "<string>",
"area": "<string>",
"item": "<string>",
"condition": "good",
"notes": "<string>"
}
]
}
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}Authorizations
A workspace API key (Settings → API keys), scoped to <group>:read / <group>:write.
Path Parameters
Body
application/json
Response
Success
Available options:
routine, check_in, check_out Available options:
due, booked, completed, cancelled Available options:
satisfactory, minor_actions, unsatisfactory Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes